function [f1_cos, f1_sin, s1] = create_f1(a1, w1, r1, t1) 
for i = 1:length(a1)
    f1_cos(:, i) = a1(i)*cos(w1(i)*t1).*exp(-r1(i)*t1);
    f1_sin(:, i) = a1(i)*sin(w1(i)*t1).*exp(-r1(i)*t1);
end
f1_cos_1d = sum(f1_cos, 2);
f1_sin_1d = sum(f1_sin, 2);
f1 = f1_cos_1d + 1i*f1_sin_1d; % f1 - complex
s1 = fft(f1);
end