#!/bin/csh 
bin2pipe -in Binary.bin -noswap \
-xN   512 	-yN   4096 	\
-xT   256 	-yT   2048 	\
-xMODE   Complex  -yMODE   States \
-xSW   1000 -ySW   1000 \
-xOBS   600 -yOBS   60\
-xCAR  4.773000 -yCAR   117.273000  \
-xLAB  H1 -yLAB  C13 \
-ndim   2  -aq2D   States  \
-xFT   0  -yFT   0  \
-yMETH 1 \
-yFTDOM 1 \
| nmrPipe -fn ZF -auto                                 \
| nmrPipe -fn FT -auto                                 \
#| nmrPipe -fn EXT -x1 5.2ppm -xn 4.7ppm -sw \
| nmrPipe -fn PS -p0 0 -p1 0 -di                       \
-out XYZA/ft4sp.xyza.2D -verb  -ov

